Sign Up
Friendoozle is the newest place for finding friends and family to connect and share.

Install IonCube Loaders on Centos 6 64 Bit with SE-Linux Enabled

Encoding php written software so that it can’t be reversed engineered started from early work in code acceleration. In Linux servers the encoder will read the compiled source thus reducing overhead in processing. One method for speeding up processing and protecting the original code is using a decoder – a php extension called the ionCube Loader.

If you are running protected, encoded software that requires the ioncube loaders be installed on your CentOS 6 64 server running Apache 2 and Php 5.3.3 this is the method I have used to install and enable the decoder in the past:

It is recommended that the ZendGuardLoader has been previously installed and working with SE-Linux.

1. Download Package:

# wget http://downloads3.ioncube.com/loader_downloads/ion...

2. Extract the package:

# tar -xzvf ioncube_loaders_lin_x86-64.tar.gz

3. Copy the .so file to php/modules folder.

# cp ioncube_loader_lin_5.3.so /usr/lib64/php/modules/

4. Add at the top of /etc/php.ini

# nano /etc/php.ini
zend_extension = /usr/lib64/php/modules/ioncube_loader_lin_5.3.so

3. Restart your Web server.
# /etc/init.d/httpd restart

3. Check for no errors # php –v
Output should look like:
PHP 5.3.3 (cli) (built: Jul 3 2012 16:53:21)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
with the ionCube PHP Loader v4.4.1, Copyright (c) 2002-2013, by ionCube Ltd., and
with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies

In some cases due to other packages that may have been installed running SE-Linux is not possible. Please try and use SE-Linux if at all possible as it does afford a bit of extra security.
All times are GMT -7. The time now is 5:12 am.